Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class APCSheetPresentation
    Inherits BaseObject

    Private _APCSheetHeader As APCSheetHeader
    Private _RowIndex As Long
    Private _Products As Products
    Private _PresentationYear As Long 'Év
    Private _Area As Double 'Tervezett megművelt terület

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("APCSheetHeader-APCSheetPresentation", GetType(APCSheetHeader)), VisibleInListView(False)> _
    Property APCSheetHeader As APCSheetHeader
        Get
            Return _APCSheetHeader
        End Get
        Set(value As APCSheetHeader)
            SetPropertyValue("APCSheetHeader", _APCSheetHeader, value)
        End Set
    End Property
    Property RowIndex As Long
        Get
            Return _RowIndex
        End Get
        Set(value As Long)
            SetPropertyValue("RowIndex", _RowIndex, value)
        End Set
    End Property
    Property Products As Products
        Get
            Return _Products
        End Get
        Set(value As Products)
            SetPropertyValue("Products", _Products, value)
        End Set
    End Property
    Property PresentationYear As Long
        Get
            Return _PresentationYear
        End Get
        Set(value As Long)
            SetPropertyValue("PresentationYear", _PresentationYear, value)
        End Set
    End Property
    Property Area As Double
        Get
            Return _Area
        End Get
        Set(value As Double)
            SetPropertyValue("Area", _Area, value)
        End Set
    End Property
End Class
